PSK-CRACK(1)

NAME
psk-crack - Crack IKE Aggressive Mode Pre-Shared Keys

SYNOPSIS
psk-crack [options] <psk-parameters-file> [<dictionary-file>]

The <psk-parameters-file> argument specifies the file containing the pre-shared key parameters in colon seperated hex format as generated by ike-scan with the --pskcrack option.

The <dictionary-file> argument is only required when psk-crack is operating in dictionary cracking mode (which is the default mode). When psk-crack is operating in brute-force cracking mode, you do not need to specify a dictionary file.

DESCRIPTION
psk-crack attempts to crack IKE Aggressive Mode pre-shared keys that have been previously gathered using ike-scan with the --pskcrack option.

psk-crack can operate in two different modes:

1)  Dictionary cracking mode: this is the default mode in which psk-crack tries each candidate word from the dictionary file in turn until it finds a match, or all the words in the dictionary have been tried.

2)  Brute-force cracking mode: in this mode, psk-crack tries all possible combinations of a specified character set up to a given length.

OPTIONS

--help or -h
    Display this usage message and exit.

--version or -V
    Display program version and exit.

--verbose or -v
    Display verbose progress messages.

--md5 or -m
    Force MD5 hash type. Normally this is not required because the hash type is automatically determined from the hash length.

--sha1 or -s
    Force SHA1 hash type. Normally this is not required because the hash type is automatically determined from the hash length.

--bruteforce=<n> or -B <n>
    Select bruteforce cracking up to <n> characters.

--charset=<s> or -c <s>
    Set bruteforce character set to <s> Default is "0123456789abcdefghijklmnopqrstuvwxyz"

AUTHOR
Roy Hills <Roy.Hills@nta-monitor.com>